<?php
/**
 * GrantTypeEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Клиентская авторизация
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CustomerAuthClient;

use PHPUnit\Framework\TestCase;

/**
 * GrantTypeEnumTest Class Doc Comment
 *
 * @category    Class
 * @description * Grant Types: * &#x60;authorization_code&#x60; - Для аутентификации методом Authorization Code * &#x60;password&#x60; - Для аутентификации через логин/пароль * &#x60;client_credentials&#x60; - Для аутентификации клиентских приложений * &#x60;refresh_token&#x60; - Для обновления токена доступа
 * @package     Ensi\CustomerAuthClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class GrantTypeEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "GrantTypeEnum"
     */
    public function testGrantTypeEnum()
    {
    }
}
